%define pkg     mspack
%define ver     0
%define rev     20060920alpha


Summary:        A library for Microsoft compression formats
Name:           lib%{pkg}
Version:        %{ver}
Release:        0.2.%{rev}%{?dist}%{?pext}
License:        LGPL
Group:          System Environment/Libraries
Source0:        http://www.cabextract.org.uk/%{name}/%{name}-%{ver}.%{ver}.%{rev}.tar.gz
URL:            http://www.cabextract.org.uk/%{name}/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Stuart Caie <kyzer@4u.net>

%description
The purpose of %{name} is to provide both compression and decompression
of some loosely related file formats used by Microsoft.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%package     -n %{pkg}-progs
Summary:        Related programs for %{name}
Group:          Applications/File
Requires:       %{name} = %{version}-%{release}

%description -n %{pkg}-progs
The %{pkg}-progs package contains sample tools for %{name}.


%prep
%setup -q -n %{name}-%{ver}.%{ver}.%{rev}


%build
%configure \
	--enable-shared \
	--enable-static

%{__make} #%{?_smp_mflags}


%check
#pushd test
#./cabd_test
#popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

for PROG in cabd_md5 cabd_memory cabextract_md5 chmd_md5 chminfo chmx multifh; do
  %{__install} -m 0755 test/${PROG} ${RPM_BUILD_ROOT}%{_bindir}
done

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc doc/Doxyfile doc/*.{css,gif,png,html}
%{_includedir}/%{pkg}.h
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so

%files -n %{pkg}-progs
%defattr(-,root,root)
%{_bindir}/cabd_md5
%{_bindir}/cabd_memory
%{_bindir}/cabextract_md5
%{_bindir}/chmd_md5
%{_bindir}/chminfo
%{_bindir}/chmx
%{_bindir}/multifh


%changelog
* Sun May 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0-0.2.20060920alpha
- Skipped test suite (fails inconsistently)

* Sun May 18 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0-0.1.20060920alpha
- Initial build
